commit 9180fb3cd7b8be08149a8e27a8605fbae8749ed5
parent e464c7ae1901bed1b6f42f4d945f4b7bbdf846e3
Author: Vincent Demeester <vincent@sbr.pm>
Date: Tue, 25 Jun 2019 15:42:59 +0200
Add authkey, pinauth and vpnpass
Signed-off-by: Vincent Demeester <vincent@sbr.pm>
Diffstat:
3 files changed, 13 insertions(+), 0 deletions(-)
diff --git a/pkgs/scripts/bin/authkey b/pkgs/scripts/bin/authkey
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+set -e
+oathtool --hotp $(cat ~/.oath/key) -c $([ ! -f ~/.oath/counter ] && echo -n 0 > ~/.oath/counter || echo -n $(($(cat ~/.oath/counter)+1)) > ~/.oath/counter; cat ~/.oath/counter)+
\ No newline at end of file
diff --git a/pkgs/scripts/bin/pinauth b/pkgs/scripts/bin/pinauth
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+set -e
+[ ! -r ~/.oath/pin ] && echo "No PIN stored." || echo "$(cat ~/.oath/pin)$(authkey)"+
\ No newline at end of file
diff --git a/pkgs/scripts/bin/vpnpass b/pkgs/scripts/bin/vpnpass
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+set -e
+key=$(authkey)
+echo "${key}" | pbcopy+
\ No newline at end of file